package cn.com.qmth.examcloud.core.questions.dao.entity.dto;

import cn.com.qmth.examcloud.core.questions.base.question.enums.QuesStructType;

import java.io.Serializable;
import java.util.List;

/**
 * Created by songyue on 17/3/21.
 */
public class PaperDetailUnitStructDto implements Serializable {

    private static final long serialVersionUID = -3766822545462183904L;

    private String id;

    private Integer count;

    private Double score;//小题分数

    private Double totalScore;

    private QuesStructType questionType;//小题类型

    private List<String> quesNames;//来源大题

    private Integer publicSimple;//公开简单数量

    private Integer publicMedium;//公开中等数量

    private Integer publicDifficulty;//公开困难数量
    
    private Integer publicAnyDifficulty;//公开不限难度数量

    private Integer noPublicSimple;//非公开简单数量

    private Integer noPublicMedium;//非公开中等数量

    private Integer noPublicDifficulty;//非公开困难数量
    
    private Integer noPublicAnyDifficulty;//非公开不限难度数量

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public QuesStructType getQuestionType() {
        return questionType;
    }

    public void setQuestionType(QuesStructType questionType) {
        this.questionType = questionType;
    }

    public List<String> getQuesNames() {
        return quesNames;
    }

    public void setQuesNames(List<String> quesNames) {
        this.quesNames = quesNames;
    }

    public Integer getPublicSimple() {
        return publicSimple;
    }

    public void setPublicSimple(Integer publicSimple) {
        this.publicSimple = publicSimple;
    }

    public Integer getPublicMedium() {
        return publicMedium;
    }

    public void setPublicMedium(Integer publicMedium) {
        this.publicMedium = publicMedium;
    }

    public Integer getPublicDifficulty() {
        return publicDifficulty;
    }

    public void setPublicDifficulty(Integer publicDifficulty) {
        this.publicDifficulty = publicDifficulty;
    }

    public Integer getNoPublicSimple() {
        return noPublicSimple;
    }

    public void setNoPublicSimple(Integer noPublicSimple) {
        this.noPublicSimple = noPublicSimple;
    }

    public Integer getNoPublicMedium() {
        return noPublicMedium;
    }

    public void setNoPublicMedium(Integer noPublicMedium) {
        this.noPublicMedium = noPublicMedium;
    }

    public Integer getNoPublicDifficulty() {
        return noPublicDifficulty;
    }

    public void setNoPublicDifficulty(Integer noPublicDifficulty) {
        this.noPublicDifficulty = noPublicDifficulty;
    }

	public Integer getPublicAnyDifficulty() {
		return publicAnyDifficulty;
	}

	public void setPublicAnyDifficulty(Integer publicAnyDifficulty) {
		this.publicAnyDifficulty = publicAnyDifficulty;
	}

	public Integer getNoPublicAnyDifficulty() {
		return noPublicAnyDifficulty;
	}

	public void setNoPublicAnyDifficulty(Integer noPublicAnyDifficulty) {
		this.noPublicAnyDifficulty = noPublicAnyDifficulty;
	}

}
